/****************************************************************************
 * 멤버십 정보 조회
 ****************************************************************************/
function fn_selectMembershipJson(){
    let formData = new FormData();
    $.ajax({
        url: encodeURI('/mobilemembership/selectTotalMembershipBalance.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: false,
        success: function(data){
            if('0'==data.msgCode){
                if(0 < data.rows.length) {
                    $("#membershipBalance").text(data.rows[0].membershipBalance+' 원');
                }
            }
            else if(data.msgCode=='-1'){
                modalEvent.warning("조회 오류", data.msgDesc);
            }
            else{
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){

        },
        complete:function(){

        }
    });
}
function fn_deleteUser(){
    modalEvent.info("삭제", "앱 탈퇴를 진행하시겠습니까?", function(){
        let formData = new FormData();
        $.ajax({
            url: encodeURI('/mobilelogin/deleteUser.do'),
            data: formData,
            dataType: "json",
            processData: false,
            contentType: false,
            type: 'POST',
            async: true,
            success: function(data){
                if('0'==data.msgCode){
                    modalEvent.success("성공", "탈퇴가 완료되었습니다.", function(){
                        location.href = "/mobilelogin/logout.do"
                    });
                }
                else{
                    modalEvent.danger("등록 오류", data.msgDesc);
                }
            },
            error : function(xhr, status, error) {
                modalEvent.danger("등록 오류", "등록 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            },
            beforeSend:function(){

            },
            complete:function(){

            }
        });
    });
}

/****************************************************************************
 * 디바이스 푸시 알림 여부 조회
 ****************************************************************************/
function fn_selectDevicePushYn(){

    let formData = new FormData();

    $.ajax({
        url: encodeURI('/mobiledevice/selectDevicePushYn.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: false,
        success: function(data){
            if('0'==data.msgCode){

                let autoPushYn      = data.rows[0].autoPushYn;
                let marketingPushYn = data.rows[0].marketingPushYn;

                if("Y" == autoPushYn){
                    $("#autoPushYn").prop("checked", true);
                }else{
                    $("#autoPushYn").prop("checked", false);
                }

                if("Y" == marketingPushYn){
                    $("#marketingPushYn").prop("checked", true);
                }else{
                    $("#marketingPushYn").prop("checked", false);
                }
            }
            else if(data.msgCode=='-1'){
                modalEvent.warning("조회 오류", data.msgDesc);
            }
            else{
                modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){

        },
        complete:function(){

        }
    });
}

/****************************************************************************
 * 디바이스 푸시 알림 여부 수정
 ****************************************************************************/
function fn_updateDevicePushYn(type, pushYn){

    let formData = new FormData();
    formData.append("type", type);
    formData.append("pushYn", pushYn);

    $.ajax({
        url: encodeURI('/mobiledevice/updateDevicePushYn.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: false,
        success: function(data){
            if('0'==data.msgCode){

            }
            else if(data.msgCode=='-1'){
                modalEvent.warning("수정 오류", data.msgDesc);
            }
            else{
                modalEvent.danger("수정 오류", "수정 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("수정 오류", "수정 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){

        },
        complete:function(){

        }
    });
}

/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){

    //멤버십 포인트 조회
    fn_selectMembershipJson();

    //main 높이값 - class
    if($('.notify_box').hasClass('open')){
        $('main').addClass('short');
    }else{
        $('main').addClass('short2');
    }

    // 푸시 알림
    fn_selectDevicePushYn();

    $("#autoPushYn").change(function(){
        let pushYn = "N";
        if($(this).is(":checked")){
            pushYn = "Y"
        }
        fn_updateDevicePushYn("auto", pushYn);
    });

    $("#marketingPushYn").change(function(){
        let pushYn = "N";
        if($(this).is(":checked")){
            pushYn = "Y"
        }
        fn_updateDevicePushYn("marketing", pushYn);
    });
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
    // 아아디 keypress
    $(document).on('keypress', '#loginId', function(e) {
        fn_enter(e);
    });

    // 비밀번호 keypress
    $(document).on('keypress', '#password', function(e) {
        fn_enter(e);
    });

    // 로그인 버튼
    $("#btnLogin").click(function () {
        fn_login();
    });
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});